Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455923 - gxine depends on gecko-libs 1.9 - can't update after xulrunner 1.9.0.1-1 release
Summary: gxine depends on gecko-libs 1.9 - can't update after xulrunner 1.9.0.1-1 release
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gxine
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Sourada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 455971 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-18 19:33 UTC by David Rees
Modified: 2008-07-26 06:03 UTC (History)
3 users (show)

Fixed In Version: 0.5.11-18.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 07:11:02 UTC


Attachments (Terms of Use)

Description David Rees 2008-07-18 19:33:19 UTC
Description of problem:
gxine-0.5.11-17.fc9 depends on gecko-libs 1.9. The release of xulrunner
1.9.0.1-1.fc9, breaks that dependency.

At a minimum, gxine needs to be rebuilt (and possibly have it's dependency
relaxed to allow updates to gecko-libs)

The problem is the same as bug 455659 filed against RHEL5.

Comment 1 Martin Sourada 2008-07-18 19:47:14 UTC
Hm... IIRC, there was some switch in xulrunner to stable and unstable things,
and I believe gxine uses only the supposedly stable API, so I might loosen the
dependency a bit. Anyway, this should have been rebuilt and released in batch
with the xulrunner update, or at least the update should have been mentioned on
devel list, which it wasn't - and result is lots of broken deps, one of which is
this one...

I'll rebuild it right away.

Comment 2 Martin Sourada 2008-07-18 21:48:45 UTC
*** Bug 455930 has been marked as a duplicate of this bug. ***

Comment 3 Martin Sourada 2008-07-18 21:49:45 UTC
*** Bug 455932 has been marked as a duplicate of this bug. ***

Comment 4 Fedora Update System 2008-07-18 22:13:29 UTC
gxine-0.5.11-18.fc9 has been submitted as an update for Fedora 9

Comment 5 David Rees 2008-07-18 23:42:31 UTC
As commented at
https://admin.fedoraproject.org/updates/F9/pending/gxine-0.5.11-18.fc9

Looks good from there, thanks very much for the quick turnaround.

Does Fedora track dependency issues which might crop up during updates like what
happened here? It would be nice if issues like this could be avoided in the
future (perhaps something for another bug or discussion on the -devel list, I'll
have to check the archives)

Comment 6 Martin Sourada 2008-07-21 18:40:28 UTC
*** Bug 455971 has been marked as a duplicate of this bug. ***

Comment 7 Martin Sourada 2008-07-21 18:50:19 UTC
Well, we (maintainers) get e-mail noticing broken deps, however this happens
only after the broken deps are already in the repos... Would be nice if bodhi
(our update system) blocked updates that break deps, since there is no point in
releasing security fix, if you cannot install it due to broken deps... There has
been some discussion (without definite conclusion) both on test and devel lists
regarding this issue, as with firefox/xulrunner this happens almost every time a
version bump in firefox/xulrunner occurs.

Comment 8 Fedora Update System 2008-07-23 07:10:55 UTC
gxine-0.5.11-18.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-07-26 06:03:55 UTC
gxine-0.5.11-18.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.